#include <hidef.h>				// for EnableInterrupts macro
#include "derivative.h"			// include peripheral declarations



void main(void) {

	EnableInterrupts; 			// enable interrupts
	SOPT1 = 0x03;					// disable COP, bgnd pin active, reset pin active
	
	PTBD = 0x08;
	PTBDD = 0x0C;					// PTB[3:2] output
	
	TPM1SC_TOIE = 1;				// enable TPM1 interrupt
	TPM1SC_CLKSx = 0;				// disable timer
	TPM1SC_PS = 4;					// input clk div 64
	TPM1MOD = 0xFFFF;				// modulus
	TPM1C0SC_ELS0x = 0;			// pin is GPIO
	TPM1SC_CLKSx = 1;				// start timer at bus clk rate
	
	for(;;){
/*		while(!TPM1SC_TOF); 		// wait for overflow
		TPM1SC_TOF = 0;			// clear TOF
		PTBD_PTBD2 ^= 1;			//	toggle PTB2
		PTBD_PTBD3 ^= 1;			//	toggle PTB3*/
	}

}

void interrupt 13 Tpm1OvfIsr(void){
		TPM1SC_TOF = 0;			// clear TOF
		PTBD_PTBD2 ^= 1;			//	toggle PTB2
		PTBD_PTBD3 ^= 1;			//	toggle PTB3
}